#! /usr/bin/python
# -*- coding: utf-8 -*-

#This file is part of RogueBox Adventures.
#
#    RogueBox Adventures is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    RogueBox Adventures is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with RogueBox Adventures.  If not, see <http://www.gnu.org/licenses/>.
 
texts ={'info_soon' : ('Test Page',
						'Feature comming soon.'),
		'knife' : ('Knifes',
					' ',
					'A knife is a weak melee weapon.'),
		'sword' : ('Swords',
					' ',
					'A sword is a mighty melee weapon.'),
		'dagger' : ('Hammers',
					' ',
					'A hammer is a medium melee weapon.'),
		'rune' : ('Runes',
					' ',
					'A rune is a very weak magical',
					'weapon.'),
		'wand' : ('Wands',
					' ',
					'A wand is a weak magical weapon.'),
		'rune staff' : ('Rune Staffs',
					' ',
					'A rune staff is a medium',
					'magical weapon.'),
		'artefact' : ('Artefacts',
					' ',
					'A artefact is a strong magical',
					'weapon.'),
		'helmet' : ('Helmets',
					' ',
					'A helmet can protect your head',
					'of physical damage.'),
		'armor' : ('Armors',
					' ',
					'A armor can protect your body',
					'of physical damage.'),
		'cuisse' : ('Cuisses',
					' ',
					'A cuisse can protect your legs',
					'of physical damage.'),
		'shoes' : ('Shoes',
					' ',
					'Shoes can protect your feet',
					'of physical damage.'),
		'axe' : ('Axes',
				' ',
				'A axe is a tool to chop',
				'down trees.'),
		'pickaxe'  : ('Pickaxes',
					' ',
					'A pickaxe is a tool to break',
					'rock.'),
		'ring' : ('Rings',
				' ',
				'A ring can increase your luck.'),
		'amulet' : ('Amulets',
					' ',
					'A amulet can increase your will.'),
		'talisman' : ('Talismans',
					' ',
					'A talisman can increase your luck.'),
		'seal ring' : ('Seal Rings',
					' ',
					'A seal ring can increase your will.'),
		'decorative_clothes' : ('Decorative Clothes',
								' ',
								'This item changes the way you',
								'look like.'),
		'Fontain' : ('Fontain',
					' ',
					'Can be placed and used',
					'as water source.'),
		'Chest' : ('Chest',
					' ',
					'Can be placed and used',
					'to store items.'),
		'Bed' : ('Bed',
				' ',
				'Can be placed and used',
				'to sleep inside.'),
		'Carpenter\'s workbench' : ('Carpenter\'s workbench',
									' ',
									'Can be placed and used',
									'to craft wooden furniture.'),
		'Carvers\'s workbench' : ('Carver\'s workbench',
									' ',
									'Can be placed and used',
									'to craft wooden items.'),
		'Stonecutter\'s workbench' : ('Stonecutter\'s workbench',
									' ',
									'Can be placed and used',
									'to craft stone furniture.'),
		'Forger\'s workbench' : ('Forger\'s workbench',
								' ',
								'Can be placed and used',
								'to forge items.'),
		'Alchemist\'s workshop' : ('Alchemist\'s workshop',
									' ',
									'Can be placed and used',
									'to brew potions.'),
		'Furnace' : ('Furnace',
					' ',
					'Can be placed and used',
					'to cook food.'),
		'Altar' : ('Altar',
					' ',
					'Can be placed and used',
					'to worship the gods or',
					'identify items.'),
		'Enchantment table' : ('Enchantment Table',
					' ',
					'Can be placed and used',
					'to remove enchantments',
					'from jewelery or to',
					'enchant such items.'),
		'Table' : ('Table',
					' ',
					'Decorative Furniture that',
					'can be placed.'),
		'Wooden seat' : ('Wooden seat',
						' ',
						'Decorative Furniture that',
						'can be placed.'),
		'Stone seat' : ('Stone seat',
						' ',
						'Decorative Furniture that',
						'can be placed.'),
		'Bookshelf' : ('Bookshelf',
						' ',
						'Decorative Furniture that',
						'can be placed.'),
		'Pilar' : ('Pilar',
					' ',
					'Decorative Furniture that',
					'can be placed.'),
		'Fishing rod' : ('Fisching Rod',
						' ',
						'Can be used close to waters',
						'in order to catch fish.'),
		'Blueprint' : ('Blueprint',
						' ',
						'Blueprints change the way your',
						'buildings look like.'),
		'Bomb' : ('Bomb',
				' ',
				'Can be placed and will',
				'explode after 3 turns.'),
		'Scroll' : ('Scroll',
					' ',
					'Scrolls can be used to',
					'cast spells.',
					'They will disappear after',
					'reading them.'),
		'Spellbook' : ('Spellbook',
						' ',
						'Spellbooks can be used to',
						'cast spells.',
						'You will loose your focus',
						'by reading them.'),
		'Mysterious Blue Crystal' : ('Mysterious Blue Crystal',
									' ',
									'Breaking a Mysterious Blue',
									'Crystal will restore your',
									'focus instandly.'),
		'Heart-Shaped Crystal' : ('Heart-Shaped Crystal',
									' ',
									'Breaking a Heart-Shaped Crystal',
									'will return your lost health and',
									'heal all your wounds.'),
		'Enchanted Enhancement Powder' : ('Enchanted Enhancement Powder',
										' ',
										'Enhances worn weapons or',
										'armor.'),
		'Heavy Bag' : ('Heavy Bag',
						' ',
						'What may be inside?'),
		'Torch' : ('Torch',
					' ',
					'Can be used to',
					'illuminate dark places.'),
		'Scrub seed' : ('Scrub seed',
						' ',
						'Can be used to plant',
						'a new scrub.'),
		'Sapling' : ('Sapling',
						' ',
						'Can be used to plant',
						'a new tree.'),
		'Small cactus' : ('Small cactus',
						' ',
						'Can be used to plant',
						'a new cactus.'),
		'Palm sapling' : ('Palm sapling',
						' ',
						'Can be used to plant',
						'a new palm.'),
		'Chalk' : ('Chalk',
					' ',
					'Can be used to write',
					'a magic word on the',
					'ground. Monsters can not',
					'pass this sign.'),
		'Strength' : ('Strength',
						' ',
						'Determines your ability',
						'to DEAL PHYSICAL DAMAGE.'),
		'Skill' : ('Skill',
						' ',
						'Determines your ability',
						'to AVOID PHYSICAL DAMAGE.'),
		'Power' : ('Power',
						' ',
						'Determines your ability',
						'to DEAL MAGICAL DAMAGE.'),
		'Will' : ('Will',
						' ',
						'Determines your ability',
						'to AVOID MAGICAL DAMAGE.'),
		'Health' : ('Health',
						' ',
						'Determines your number',
						'of HEALTH POINTS.'),
		'Weapon Crafting' : ('Weapon Crafting',
							 ' ',
							 'Determines which',
							 'weapons you can',
							 'craft.'),
		'Metallurgy' : ('Metallurgy',
						' ',
						'Determines which',
						'metals you can',
						'extract from ore.'),
		'Alchemy' : ('Alchemy',
					 ' ',
					 'Determines which',
					 'potions you can',
					 'brew.'),
		'Woodcutting' : ('Woodcutting',
						 ' ',
						 'Determines how many',
						 'wood can be gained',
						 'by felling trees.'),
		'Mining' : ('Mining',
					' ',
					'Determines how many',
					'resources can be',
					'gained by mining',
					'Rock/Ore/Gems.'),
		'Fridge' : ('Fridge',
						' ',
						'A special pice of',
						'furniture to store food',
						'inside'),
		'Camera' : ('Camera',
						' ',
						'Can be used to take a photo.',
						'(Saved in \'SCREENSHOT\')'),
		'Crystal orb' : ('Crystal orb',
						' ',
						'Look inside and see where',
						'dungeon entraces are.'),
		'Naga statue' : ('Naga statue',
						' ',
						'A stony statue of a female',
						'naga.'),
		'Orc statue' : ('Orc statue',
						' ',
						'A stony statue of a male',
						'orc.'),
		'Blob statue' : ('Orc statue',
						' ',
						'A stony statue of a small',
						'blob.'),
		'Elf statue' : ('Elf statue',
						' ',
						'A stony statue of a male',
						'elf.'),
		'Neko statue' : ('Neko statue',
						' ',
						'A stony statue of a female',
						'neko.'),
		'Pendulum clock' : ('Pendulum clock',
						' ',
						'A pendulum clock, crafted',
						'by dwarf mechanics in',
						'ancient times.'),
		'Coffin' : ('Coffin',
						' ',
						'A coffin was used to bury',
						'the dead in past times.'),
		'Candleholder' : ('Candleholder',
						' ',
						'A candleholder with three',
						'cursed candles, that can\'t',
						'illumine their surrounding.'),
		'Hourglass' : ('Hourglass',
						' ',
						'A hourglass was used for',
						'chronometry in old times.'),
		'Ancient idol' : ('Ancient idol',
						' ',
						'A golden statue of a long',
						'forgotten deity.'),
		'Sarcophagus' : ('Sarcophagus',
						' ',
						'A sarcophagus is used to',
						'bury noble people.'),
		'Bonsai' : ('Bonsai',
						' ',
						'A groth-restricted tree',
						'inside a flowerpot.'),
		'Houseplant' : ('Houseplant',
						' ',
						'A beautiful, little plant',
						'inside a plant pot.'),
		'Wooden throne' : ('Wooden throne',
						' ',
						'A royal seat!',
						'It is made of finest wood.'),
		'Stony throne' : ('Stony throne',
						' ',
						'A royal seat!',
						'It is made of finest stone.'),
		'Book of Skill': ('Book of Skill',
						' ',
						'A magic book that is able',
						'to improve the skills of',
						'the one who reads it.'),
		'Heated Stone': ('Heated Stone',
						' ',
						'A hot stone that does not',
						'seem to cool down.',
						'Can light up flamable objects!' ),
		'Brimstone': 	('Brimstone',
						' ',
						'Highly flamable!'),
		'Explosive': 	('Explosive',
						' ',
						'Danger!',
						'Highly explosive!',
						'Keep away from heat sources!' ),
		'Bandage':	 	('Bandage',
						' ',
						'Can cure bleeding wounds.'),
		'Eyedrops':	 	('Eyedrops',
						' ',
						'Can cure blindness.'),
		'Antidote':	 	('Antidote',
						' ',
						'Can cure poisonings.'),
		'Holy Water':	 	('Holy Water',
							' ',
							'Can remove hexes.'),
		'Stone':	 	('Stone',
						' ',
						'Throwable item.',
						'Does 1 LP damage.'),
		'Dart':	 		('Dart',
						' ',
						'Throwable item.',
						'Does 2 LP damage.'),
		'Throwing Knife':	 	('Throwing Knife',
								' ',
								'Throwable item.',
								'Does 3 LP damage.'),
		'Magic Map':	 	('Magic Map',
							' ',
							'Shows you already explored',
							'aread of the map.'),
		'Bucket':	 	('Bucket',
							' ',
							'Buckets can be filled with',
							'liquids in order to carry',
							'them with you.'),
		'Water Bucket':	 	('Water Bucket',
							' ',
							'A bucket filled with water.'),
		'Lava Bucket':	 	('Lava Bucket',
							' ',
							'A bucket filled with lava.'),
		'Dirty Water Bucket':	 	('DirtyWater Bucket',
							' ',
							'A bucket filled with dirty water.'),
		'Transmitter':	 	('Transmitter',
							' ',
							'Can repeat aetheric signals.'),
		'Auto-Door':	 	('Auto-Door',
							' ',
							'Opens when recieving an',
							'aetheric signal.'),
		'Preasure Plate':	 	('Preasure Plate',
							' ',
							'Can create aetheric signals.'),
		'Fire Pit':	 	('Fire Pit',
							' ',
							'Starts to burn when recieving',
							'an aetheric signal.'),
		'Timed Emitter':	 	('Timed Emitter',
							' ',
							'Creates a constant aetheric',
							'signal.'),
		'Switch':	 	('Switch',
							' ',
							'Creates an aetheric signal.'),
		'Signal':	 	('Signal',
							' ',
							'Changes its color when recieving',
							'an aetheric signal.'),
		'Thinker\'s Workshop':	('Thinker\'s Workshop',
								' ',
								'Allows you to produce components',
								'for aetheric technology.'),
		'Ancient Hammer':	 	('Ancient Hammer',
							' ',
							'The tool of a master builder',
							'from past times.',
							'In the right hands it can',
							'be used to build everything.'),
		'Neko Amulet':	 	('Neko Amulet',
							' ',
							'The amulet of the poor young',
							'Neko that was turned into an',
							'undead mummy.',
							'You should return this thing',
							'to his father.'),
		'Chicken Nest':	 	('Chicken Nest',
							' ',
							'Put a chicken egg inside to',
							'hatch it!'),
		'Pet Medicine':	 	('Pet Medicine',
							' ',
							'Can cure your pets wounds.'),
		'Evolution Stone':	 	('Evolution Stone',
							' ',
							'Lets your pet envolve.'),
		'Pet Candy':	 	('Pet Candy',
							' ',
							'Lets your pets relation',
							'towards you grow faster.'),
		'Fence':		 	('Fence',
							' ',
							'Fences can be placed outdoor.',
							'You can jump over them but',
							'monsters can\'t pass them.'),
		'White Flowers':	 	('White Flowers',
							' ',
							'Some decorative white flowers.',
							'They can be planted somewere.'),
		'Red Flowers':	 	('Red Flowers',
							' ',
							'Some decorative red flowers.',
							'They can be planted somewere.'),
		'Blue Flowers':	 	('Blue Flowers',
							' ',
							'Some decorative blue flowers.',
							'They can be planted somewere.'),
		'Purple Flowers':	 	('Purple Flowers',
							' ',
							'Some decorative Purple flowers.',
							'They can be planted somewere.'),
		'Yellow Flowers':	 	('Yellow Flowers',
							' ',
							'Some decorative yellow flowers.',
							'They can be planted somewere.'),
		'Menhir':	 	('Menhir',
							' ',
							'A big rock that can be placed',
							'with different engravings.'),
		'Planter':	 	('Planter',
							' ',
							'Can be used to grow herbs.'),
		'blessed':	 	('Blessed',
							' ',
							'The gods have blessed you.',
							'Your luck is increased.',
							'(Luck + 2)'),
		'drunk':	 	('Drunk',
							' ',
							'You are drunk.',
							'Your movements are solw.'),
		'bleeding':	 	('Bleeding',
							' ',
							'You got some bleeding wounds.',
							'(-1LP/Turn)'),
		'poisoned':	 	('Poisoned',
							' ',
							'Poison runs trough your veins.',
							'Your hunger and thirst are',
							'increasing much faster.'),
		'blind':	 	('Blind',
							' ',
							'You have been blinded.'),
		'hexed':	 	('Hexed',
							' ',
							'Someone has put a hex on you.',
							'Your hunger and thirst are',
							'increasing faster.',
							'You can\'t pass blessed grounds.'),
		'light':	 	('Light',
							' ',
							'Light is surrounding you and',
							'illuminates dark places.'),
		'fire resistance':	 	('Fire Resistance',
							' ',
							'You are resistant to fire.',
							'Flames and lava can\'t hurt you.'),
		'adrenalised':	 	('Adrenalised',
							' ',
							'You are adrenalised.',
							'Your tiredness won\'t increase',
							'as long this buff is active.'),
		'confused':	 	('confused',
							' ',
							'You are confused.',
							'You cant regenerate focus',
							'as long this buff is active.'),
		'instable':	 	('Instable',
							' ',
							'You feel strangely instable.',
							'You will teleport around randomly.'),
		'berserk':	 	('Berserk',
							' ',
							'You are full of rage.',
							'Your physical attacks hava a chance',
							'of 150% to hit.'),
		'night vision':	 	('Nightvision',
							' ',
							'You can see as good in the dark',
							'as on a bright day.'),
		'immobilized':	 	('Immobilized',
							' ',
							'You can\'t move.'),
		'ironskin':	 	('Iron Skin',
							' ',
							'Physical attacks against you',
							'have a 150% chance to miss.'),
		'Sick':	 	('Sick',
							' ',
							'This strange sickness lets',
							'your stomach shrink over',
							'time.',
							'You will become hungry and',
							'thirsty much faster.',
							'(Permanent Effect!)'),
		'ironskin':	 	('Healthy',
							' ',
							'You feel very healthy!',
							'You won\'t get sick.'),
		'unknown buff':	 	('UNKNOWN BUFF',
							' ',
							'This buff is unknown.'),
		'Copy of Ancient Text':	 	('Copy of Ancient Text',
									' ',
									'A copy of the acient text',
									'that Lillya found at the',
									'library.',
									'Maybe Cylira can translate',
									'it.'),
		'Sealed Envelope':	 	('Sealed Envelope',
								' ',
								'A sealed Envelope from',
								'Cylira for Lillya.',),
		'Lost Tool Box':	 	('Lost Tool Box',
								' ',
								'This tools belonge the',
								'elfish worker near the',
								'entrance of the sewer.',
								'You should bring them', 
								'back.'),
		'Hex. Prot.':	 	('Suffix: Hex Protection',
								' ',
								'This item will protect you',
								'from all kinds of hexes.',),
		'Pois. Prot.':	 	('Suffix: Poison Protection',
								' ',
								'This item will protect you',
								'from all kinds of poison.',),
		'Blind Prot.':	 	('Suffix: Blindness Protection',
								' ',
								'This item will protect you',
								'from blindness.',),
		'Bleed. Prot.':	 	('Suffix: Bleeding Protection',
								' ',
								'This item will protect you',
								'from bleeding wounds.',),
		'Instab. Prot.':	 	('Suffix: Instability Protection',
								' ',
								'This item will protect you',
								'from instability.',),
		'Rage':	 			('Suffix: Rage',
								' ',
								'This item will allow you',
								'to go berserk if your LP',
								'are low.',),
		'Protection':	 	('Suffix: Protection',
								' ',
								'This item will protect you',
								'with iron skin if your LP',
								'are low.',),
		'Regeneration':	 	('Suffix: Regeneration',
								' ',
								'This item allows you to',
								'regenerate health faster.',),
		'Slow Reg.':	 	('Suffix: Slow Regeneration (Negative)',
								' ',
								'This item lets you',
								'regenerate health slower.',),
		'Learning':	 			('Suffix: Learning',
								' ',
								'This item will allow you',
								'to levle up faster.',),
		'Ignorance':	 			('Suffix: Ignorance (Negative)',
								' ',
								'This item lets you level ',
								'up much slower.',),
		'Concentration':	 	('Suffix: Concentration',
								' ',
								'This item allows you to',
								'regenerate focus faster.',),
		'Inattention':	 	('Suffix: Inattention (Negative)',
								' ',
								'This item lets you',
								'regenerate focus slower.',),
		'Emptiness':	 	('Suffix: Emptiness',
								' ',
								'This item has no special',
								'attributes.',),
		'Hunting':	 	('Suffix: Hunting',
								' ',
								'This item allows you to get',
								'a piece of meat from every',
								'animal you kill.'),
		'Life Extr.':	 	('Suffix: Life Extraction',
								' ',
								'This item allows you to get',
								'a Heart-Shaped Crystal from',
								'monsters you kill.',
								'[Chance: 5% per hit]'),
		'See Ore':	 	('Suffix: See Ore',
								' ',
								'This item allows you to see',
								'ore and gems even trough',
								'solid walls.'),
		'Mining':	 	('Suffix: Mining',
								' ',
								'This item allows you to get',
								'more resources for mining.'),
		'Drop Treas.':	 	('Suffix: Drop Treasure',
								' ',
								'This item allows you to get',
								'ore, gems or coins from',
								'monsters you kill.',
								'[Chance: 10% per hit]'),
		'see invisible':	 	('See Invisible',
							' ',
							'You can see invisible monsters.'),
		'artefact':	 	('Artefact',
							' ',
							'This piece of equipment can only',
							'be found.',
							' ',
							'Some artefacts are unique items.'),
				}

credits_txt = {'code' : ('All code of RogueBox Adventures',
						'is written by \'The Mighty Glider\'',
						'and distributd under the terms of',
						' ',
						'GPL3 (or later).'),
				'graphics' : (('Most bits of graphic that are',
							'used for this game are made by',
							'\'The Mighty Glider\' and distributed',
							' ',
							'into Public Domain (CC0).'),
							('The GPL logo is made by',
							'the Free Software Foundation',
							'and distributed under:',
							' ',
							'CC-BY 3.0'),
							('Portraits are created by',
							'\'PlayCraft\' and \'ZeNeRIA29\'',
							'and distributed under:',
							' ',
							'CC-BY-SA 3.0')),
				'sound' : ('All sounds used for this game',
							'are in the Public Domain (CC0).'),
				'music' : (('File : menu.ogg',
							'Title : Shrine',
							'Artist : Visager',
							' ',
							'License : CC-BY 3.0'),
							('File : elysium.ogg',
							'Title : Hidden Grotto',
							'Artist : Visager',
							' ',
							'License : CC-BY-SA 3.0'),
							('File : overworld.ogg',
							'Title : Streamside Hotel',
							'Artist : Visager',
							' ',
							'License : CC-BY-SA 3.0'),
							('File : lava_cave.ogg',
							'Title : The Plateau at Night',
							'Artist : Visager',
							' ',
							'License : CC-BY 3.0'),
							('File : cave.ogg',
							'Title : Final Sacrifice',
							'Artist : Visager',
							' ',
							'License : CC-BY 3.0'),
							('File : dungeon.ogg',
							'Title : Dark Sanctum (Boss Fight)',
							'Artist : Visager',
							' ',
							'License : CC-BY 3.0'),
							('File : shop.ogg',
							'Title : Witch\'s Hut',
							'Artist : Visager',
							' ',
							'License : CC-BY 3.0'),
							('File : orcish_mines.ogg',
							'Title : Inside the Tower',
							'Artist : Visager',
							' ',
							'License : CC-BY 3.0'),
							('File : desert.ogg',
							'Title : Pyramid Level',
							'Artist : Visager',
							' ',
							'License : CC-BY 3.0'),
							('File : tomb.ogg',
							'Title : Miniboss Fight',
							'Artist : Visager',
							' ',
							'License : CC-BY 3.0'),
							('File : grot.ogg',
							'Title : Eerie Mausoleum',
							'Artist : Visager',
							' ',
							'License : CC-BY 3.0'),
							('File : night.ogg',
							'Title : Village Dreaming',
							'Artist : Visager',
							' ',
							'License : CC-BY 3.0'),
							('File : elfish_fortress.ogg',
							'Title : Royal Entrance',
							'Artist : Visager',
							' ',
							'License : CC-BY 3.0'),
							('File : sewer.ogg',
							'Title : The Final Road',
							'Artist : Visager',
							' ',
							'License : CC-BY 3.0')),
				'font' : ('The font \'Press Start 2 P\'',
							'was made by Cody Boisclair',
							'and is distributed under',
							'the terms of',
							' ',
							'SIL OPEN FONT LICENSE V1.1.'),
				'thanks' : ('Very special thanks goes to',
							'eugeneloza for countless',
							'hours of testing and tons',
							'of bugreports.',
							' ',
							'The game would not be same',
							'without your help.')
}
